## docker-compose 1.3.1

=== requirements.txt ===
PyYAML==3.10
docker-py==1.2.3
dockerpty==0.3.4
docopt==0.6.1
requests==2.6.1
six==1.7.3
texttable==0.8.2
websocket-client==0.11.0

=== debian/changelog ===
docker-compose (1.3.1-1) unstable; urgency=medium

  * New upstream version
    - Add news file documenting breaking changes in 1.3.0
  * Backport zsh completion fixes from upstream
  * Install bash and zsh completions
  * Update dependencies
  * Recommend the daemon
  * Tighten runtime dependencies on python-requests, dockerpty and docker-py
    (Closes: #790734)

 -- Felipe Sateler <fsateler@debian.org>  Sat, 04 Jul 2015 14:51:23 -0300

docker-compose (1.2.0-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * New upstream version
    - Refresh patches. Relax python-docker depenency
    - Update dependency versions
    - Drop bootstrap bundle
  * debian/watch: Fix version mangle, allow upstream -rc without -
  * Update copyright file

 -- Felipe Sateler <fsateler@debian.org>  Wed, 20 May 2015 21:28:56 -0300

fig (1.0.0-2) unstable; urgency=medium

  * Relax dependency on docker-py

 -- Felipe Sateler <fsateler@debian.org>  Fri, 15 May 2015 11:16:42 -0300

fig (1.0.0-1) unstable; urgency=low

  * Initial packaging. Closes: #7674440
    - Bundle bootstrap less source

 -- Felipe Sateler <fsateler@debian.org>  Tue, 11 Nov 2014 15:19:49 -0300

=== debian/control ===
Source: docker-compose
Maintainer: Felipe Sateler <fsateler@debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 9),
 python (>= 2.6.6-3),
 dh-python,
 python-setuptools (>= 0.6b3),
 python-docker (>= 1.2.3),
 python-dockerpty (>= 0.3.4),
 python-docopt (>= 0.6.1),
 python-yaml (>= 3.10),
 python-requests (>= 2.6.1),
 python-six (>= 1.7.3),
 python-texttable (>= 0.8.1),
 python-websocket (>= 0.11),
 python-mock (>= 1.0.1),
 python-nose,
 python-flake8,
Standards-Version: 3.9.6
X-Python-Version: >= 2.5
Homepage: http://docs.docker.com/compose/
Vcs-Git: git://anonscm.debian.org/collab-maint/docker-compose.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/docker-compose.git/

Package: docker-compose
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: docker.io (>= 1.6.0)
Description: Punctual, lightweight development environments using Docker
 docker-compose is a service management software built on top of docker. Define
 your services and their relationships in a simple YAML file, and let compose
 handle the rest.

## docker-compose 1.5.2

=== requirements.txt ===
PyYAML==3.11
docker-py==1.5.0
dockerpty==0.3.4
docopt==0.6.1
enum34==1.0.4
jsonschema==2.5.1
requests==2.7.0
six==1.7.3
texttable==0.8.4
websocket-client==0.32.0

=== docs/Makefile ===
.PHONY: all binary build cross default docs docs-build docs-shell shell test test-unit test-integration test-integration-cli test-docker-py validate

# env vars passed through directly to Docker's build scripts
# to allow things like `make DOCKER_CLIENTONLY=1 binary` easily
# `docs/sources/contributing/devenvironment.md ` and `project/PACKAGERS.md` have some limited documentation of some of these
DOCKER_ENVS := \
	-e BUILDFLAGS \
	-e DOCKER_CLIENTONLY \
	-e DOCKER_EXECDRIVER \
	-e DOCKER_GRAPHDRIVER \
	-e TESTDIRS \
	-e TESTFLAGS \
	-e TIMEOUT
# note: we _cannot_ add "-e DOCKER_BUILDTAGS" here because even if it's unset in the shell, that would shadow the "ENV DOCKER_BUILDTAGS" set in our Dockerfile, which is very important for our official builds

# to allow `make DOCSDIR=1 docs-shell` (to create a bind mount in docs)
DOCS_MOUNT := $(if $(DOCSDIR),-v $(CURDIR):/docs/content/compose)

# to allow `make DOCSPORT=9000 docs`
DOCSPORT := 8000

# Get the IP ADDRESS
DOCKER_IP=$(shell python -c "import urlparse ; print urlparse.urlparse('$(DOCKER_HOST)').hostname or ''")
HUGO_BASE_URL=$(shell test -z "$(DOCKER_IP)" && echo localhost || echo "$(DOCKER_IP)")
HUGO_BIND_IP=0.0.0.0

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)
DOCKER_IMAGE := docker$(if $(GIT_BRANCH),:$(GIT_BRANCH))
DOCKER_DOCS_IMAGE := docs-base$(if $(GIT_BRANCH),:$(GIT_BRANCH))


DOCKER_RUN_DOCS := docker run --rm -it $(DOCS_MOUNT) -e AWS_S3_BUCKET -e NOCACHE

# for some docs workarounds (see below in "docs-build" target)
GITCOMMIT := $(shell git rev-parse --short HEAD 2>/dev/null)

default: docs

docs: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 -e DOCKERHOST "$(DOCKER_DOCS_IMAGE)" hugo server --port=$(DOCSPORT) --baseUrl=$(HUGO_BASE_URL) --bind=$(HUGO_BIND_IP) --watch

docs-draft: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 -e DOCKERHOST "$(DOCKER_DOCS_IMAGE)" hugo server --buildDrafts="true" --port=$(DOCSPORT) --baseUrl=$(HUGO_BASE_URL) --bind=$(HUGO_BIND_IP)


docs-shell: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 "$(DOCKER_DOCS_IMAGE)" bash


docs-build:
#	( git remote | grep -v upstream ) || git diff --name-status upstream/release..upstream/docs ./ > ./changed-files
#	echo "$(GIT_BRANCH)" > GIT_BRANCH
#	echo "$(AWS_S3_BUCKET)" > AWS_S3_BUCKET
#	echo "$(GITCOMMIT)" > GITCOMMIT
	docker build -t "$(DOCKER_DOCS_IMAGE)" .

=== debian/changelog ===
docker-compose (1.5.2-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Dec 2015 21:29:48 -0300

docker-compose (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches.
  * Add SWARM docs
  * Note upstream breaking changes in NEWS.Debian

 -- Felipe Sateler <fsateler@debian.org>  Sat, 14 Nov 2015 15:26:30 -0300

docker-compose (1.3.3-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
    - Bump python-docker dependency
  * Add manpage for docker-compose. Thanks Dariusz Dwornikowski.
    Closes: #792518
  
 -- Felipe Sateler <fsateler@debian.org>  Sun, 19 Jul 2015 15:32:46 -0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python (>= 2.6.6-3),
  dh-python,
  python-setuptools (>= 0.6b3),
- python-docker (>= 1.2.3),
+ python-docker (>= 1.3.0),
  python-dockerpty (>= 0.3.4),
  python-docopt (>= 0.6.1),
  python-yaml (>= 3.10),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docker-compose
%:
	dh $@ --with python2 --buildsystem=pybuild

DESTDIR = $(CURDIR)/debian/docker-compose
override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	mkdir -p $(DESTDIR)/usr/share/zsh/vendor-completions $(DESTDIR)/usr/share/bash-completion/completions
	install -m644 contrib/completion/zsh/_docker-compose $(DESTDIR)/usr/share/zsh/vendor-completions
	install -m644 contrib/completion/bash/docker-compose $(DESTDIR)/usr/share/bash-completion/completions

override_dh_auto_test:
	# tests disabled because they require networking

test:
	python setup.py test

## docker-compose 1.8.0

=== requirements.txt ===
PyYAML==3.11
backports.ssl-match-hostname==3.5.0.1; python_version < '3'
cached-property==1.2.0
docker-py==1.9.0
dockerpty==0.4.1
docopt==0.6.1
enum34==1.0.4; python_version < '3.4'
functools32==3.2.3.post2; python_version < '3.2'
ipaddress==1.0.16
jsonschema==2.5.1
requests==2.7.0
six==1.7.3
texttable==0.8.4
websocket-client==0.32.0

=== docs/Makefile ===
.PHONY: all default docs docs-build docs-shell shell test

# to allow `make DOCSDIR=1 docs-shell` (to create a bind mount in docs)
DOCS_MOUNT := $(if $(DOCSDIR),-v $(CURDIR):/docs/content/compose)

# to allow `make DOCSPORT=9000 docs`
DOCSPORT := 8000

# Get the IP ADDRESS
DOCKER_IP=$(shell python -c "import urlparse ; print urlparse.urlparse('$(DOCKER_HOST)').hostname or ''")
HUGO_BASE_URL=$(shell test -z "$(DOCKER_IP)" && echo localhost || echo "$(DOCKER_IP)")
HUGO_BIND_IP=0.0.0.0

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)
GIT_BRANCH_CLEAN := $(shell echo $(GIT_BRANCH) | sed -e "s/[^[:alnum:]]/-/g")
DOCKER_DOCS_IMAGE := docker-docs$(if $(GIT_BRANCH_CLEAN),:$(GIT_BRANCH_CLEAN))

DOCKER_RUN_DOCS := docker run --rm -it $(DOCS_MOUNT) -e AWS_S3_BUCKET -e NOCACHE

# for some docs workarounds (see below in "docs-build" target)
GITCOMMIT := $(shell git rev-parse --short HEAD 2>/dev/null)

default: docs

docs: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 -e DOCKERHOST "$(DOCKER_DOCS_IMAGE)" hugo server --port=$(DOCSPORT) --baseUrl=$(HUGO_BASE_URL) --bind=$(HUGO_BIND_IP) --watch

docs-draft: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 -e DOCKERHOST "$(DOCKER_DOCS_IMAGE)" hugo server --buildDrafts="true" --port=$(DOCSPORT) --baseUrl=$(HUGO_BASE_URL) --bind=$(HUGO_BIND_IP)

docs-shell: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 "$(DOCKER_DOCS_IMAGE)" bash

test: docs-build
	$(DOCKER_RUN_DOCS) "$(DOCKER_DOCS_IMAGE)"

docs-build:
	docker build -t "$(DOCKER_DOCS_IMAGE)" .

=== debian/changelog ===
docker-compose (1.8.0-2~16.04.1) xenial; urgency=medium

  * Build for Xenial. (LP: #1637223)
  * Relax version of dependency on python-websocket.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 23 Mar 2017 22:00:53 +1300

docker-compose (1.8.0-2) unstable; urgency=medium

  * Also Bump runtime dependencies of python-docker and python-dockerpty
    Closes: #841307

 -- Felipe Sateler <fsateler@debian.org>  Wed, 19 Oct 2016 11:26:05 -0300

docker-compose (1.8.0-1) unstable; urgency=medium

  * New upstream release
    - Bump python-docker dependency
    - Bump docker.io recommends version
    - Refresh patches
  * Update Vcs urls to https

 -- Felipe Sateler <fsateler@debian.org>  Mon, 17 Oct 2016 20:29:18 -0300

=== debian/control ===
Source: docker-compose
Maintainer: Felipe Sateler <fsateler@debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 9),
 python (>= 2.6.6-3),
 dh-python,
 python-cached-property (>= 1.2.0),
 python-setuptools (>= 0.6b3),
 python-docker (>= 1.9.0),
 python-dockerpty (>= 0.4.1),
 python-docopt (>= 0.6.1),
 python-yaml (>= 3.10),
 python-requests (>= 2.6.1),
 python-six (>= 1.7.3),
 python-texttable (>= 0.8.1),
 python-websocket,
 python-mock (>= 1.0.1),
 python-nose,
 python-flake8,
Standards-Version: 3.9.6
X-Python-Version: >= 2.5
Homepage: http://docs.docker.com/compose/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/docker-compose.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/docker-compose.git/

Package: docker-compose
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: docker.io (>= 1.9.0)
Description: Punctual, lightweight development environments using Docker
 docker-compose is a service management software built on top of docker. Define
 your services and their relationships in a simple YAML file, and let compose
 handle the rest.

## docker-compose 1.17.1

=== requirements.txt ===
backports.ssl-match-hostname==3.5.0.1; python_version < '3'
cached-property==1.3.0
certifi==2017.4.17
chardet==3.0.4
colorama==0.3.9; sys_platform == 'win32'
docker==2.5.1
docker-pycreds==0.2.1
dockerpty==0.4.1
docopt==0.6.2
enum34==1.1.6; python_version < '3.4'
functools32==3.2.3.post2; python_version < '3.2'
idna==2.5
ipaddress==1.0.18
jsonschema==2.6.0
pypiwin32==219; sys_platform == 'win32'
PySocks==1.6.7
PyYAML==3.12
requests==2.11.1
six==1.10.0
texttable==0.9.1
urllib3==1.21.1
websocket-client==0.32.0

=== debian/changelog ===
docker-compose (1.17.1-2) unstable; urgency=medium

  * Change Vcs-* Urls to salsa
  * Tighten dependencies to ensure correct versions. Closes: #891003

 -- Felipe Sateler <fsateler@debian.org>  Wed, 21 Feb 2018 21:00:31 -0300

docker-compose (1.17.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 10

 -- Felipe Sateler <fsateler@debian.org>  Sun, 19 Nov 2017 18:27:48 -0300

docker-compose (1.17.0-1) unstable; urgency=medium

  * New upstream version. (Closes: #860454)
  * Bump build-dependencies
  * Refresh patches
  * Run tests directly through pytest
  * Bump standards version

 -- Felipe Sateler <fsateler@debian.org>  Sat, 04 Nov 2017 11:17:44 -0300

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,27 @@
 Section: admin
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  python (>= 2.6.6-3),
  dh-python,
  python-cached-property (>= 1.2.0),
  python-setuptools (>= 0.6b3),
- python-docker (>= 1.9.0),
+ python-docker (>= 2.4.0),
  python-dockerpty (>= 0.4.1),
  python-docopt (>= 0.6.1),
  python-yaml (>= 3.10),
  python-requests (>= 2.6.1),
  python-six (>= 1.7.3),
- python-texttable (>= 0.8.1),
- python-websocket,
+ python-texttable (>= 0.9.0),
+ python-websocket (>= 0.32.0),
  python-mock (>= 1.0.1),
  python-nose,
  python-flake8,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.5
 Homepage: http://docs.docker.com/compose/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/docker-compose.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/docker-compose.git/
+Vcs-Git: https://salsa.debian.org/fsateler/docker-compose.git
+Vcs-Browser: https://salsa.debian.org/fsateler/docker-compose
 
 Package: docker-compose
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,5 @@
 	# tests disabled because they require networking
 
 test:
-	python setup.py test
+	which pytest || (echo "pytest not found. install python-pytest" ; exit 1)
+	pytest tests

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/docker-compose-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/" \
  https://github.com/docker/compose/tags .*/v?(\d\S*)\.tar\.gz

## docker-compose 1.21.0

=== requirements.txt ===
backports.ssl-match-hostname==3.5.0.1; python_version < '3'
cached-property==1.3.0
certifi==2017.4.17
chardet==3.0.4
docker==3.2.1
docker-pycreds==0.2.1
dockerpty==0.4.1
docopt==0.6.2
enum34==1.1.6; python_version < '3.4'
functools32==3.2.3.post2; python_version < '3.2'
git+git://github.com/tartley/colorama.git@bd378c725b45eba0b8e5cc091c3ca76a954c92ff; sys_platform == 'win32'
idna==2.5
ipaddress==1.0.18
jsonschema==2.6.0
pypiwin32==219; sys_platform == 'win32' and python_version < '3.6'
pypiwin32==220; sys_platform == 'win32' and python_version >= '3.6'
PySocks==1.6.7
PyYAML==3.12
requests==2.18.4
six==1.10.0
texttable==0.9.1
urllib3==1.21.1
websocket-client==0.32.0

=== debian/changelog ===
docker-compose (1.21.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Revert dependency on python3 itself back to version 3.5.
  * Remove dependency on python3-distutils.
  * Remove version from Recommends for docker.io.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 17 Dec 2018 13:38:31 +0000

docker-compose (1.21.0-3) unstable; urgency=medium

  * Add dependency on python3-distutils.
    While part of stdlib, it is split in the Debian packaging.

 -- Felipe Sateler <fsateler@debian.org>  Wed, 03 Oct 2018 14:55:03 -0300

docker-compose (1.21.0-2) unstable; urgency=medium

  [ Jason Pleau ]
  * Update Vcs-* fields to point to docker-compose-team group

  [ Felipe Sateler ]
  * Set team email as maintainer
  * Switch to using python3 instead of python2.
    Also removes the need for the ssl-match-hostname backport.
    (Closes: #909974)
  * Upload to unstable

 -- Felipe Sateler <fsateler@debian.org>  Tue, 02 Oct 2018 16:49:34 -0300

docker-compose (1.21.0-1) experimental; urgency=medium

  [ Jason Pleau ]
  * New upstream release
  * Refresh patches
  * Bump Build-Dependencies
  * Add myself to Uploaders
  * Bump Standards-Version to 4.1.4
  * refresh Relax-dependencies.patch
  * Bump python-docker B-D to 3.2.1
  * add docker_compose.egg-info/* to debian/clean

 -- Felipe Sateler <fsateler@debian.org>  Tue, 17 Apr 2018 20:02:23 -0300

=== debian/control ===
Source: docker-compose
Maintainer: Docker Compose Team <team+docker-compose@tracker.debian.org>
Uploaders: Jason Pleau <jason@jpleau.ca>,
 Felipe Sateler <fsateler@debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 10),
 python3 (>= 3.5),
 dh-python,
 python3-cached-property (>= 1.2.0),
 python3-setuptools (>= 0.6b3),
 python3-docker (>= 3.2.1),
 python3-dockerpty (>= 0.4.1),
 python3-docopt (>= 0.6.1),
 python3-yaml (>= 3.10),
 python3-requests (>= 2.6.1),
 python3-six (>= 1.7.3),
 python3-texttable (>= 0.9.0),
 python3-websocket (>= 0.32.0),
 python3-mock (>= 1.0.1),
 python3-nose,
 python3-flake8,
Standards-Version: 4.1.4
X-Python3-Version: >= 3.5
Homepage: http://docs.docker.com/compose/
Vcs-Git: https://salsa.debian.org/docker-compose-team/docker-compose
Vcs-Browser: https://salsa.debian.org/docker-compose-team/docker-compose

Package: docker-compose
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: docker.io
Description: Punctual, lightweight development environments using Docker
 docker-compose is a service management software built on top of docker. Define
 your services and their relationships in a simple YAML file, and let compose
 handle the rest.

## docker-compose 1.25.0

=== requirements.txt ===
backports.shutil_get_terminal_size==1.0.0
backports.ssl-match-hostname==3.5.0.1; python_version < '3'
cached-property==1.3.0
certifi==2017.4.17
chardet==3.0.4
colorama==0.4.0; sys_platform == 'win32'
docker==4.1.0
docker-pycreds==0.4.0
dockerpty==0.4.1
docopt==0.6.2
enum34==1.1.6; python_version < '3.4'
functools32==3.2.3.post2; python_version < '3.2'
idna==2.5
ipaddress==1.0.18
jsonschema==3.0.1
paramiko==2.6.0
pypiwin32==219; sys_platform == 'win32' and python_version < '3.6'
pypiwin32==223; sys_platform == 'win32' and python_version >= '3.6'
PySocks==1.6.7
PyYAML==4.2b1
requests==2.22.0
six==1.12.0
texttable==1.6.2
urllib3==1.24.2; python_version == '3.3'
websocket-client==0.32.0

=== debian/changelog ===
docker-compose (1.25.0-1) unstable; urgency=medium

  * New upstream version
    - Drop Relax-Dependencies.patch - now dependencies are less strict
  * Drop pydist-overrides and update debian/control versions.
    Since docker-compose is python3 it was not used.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository.

 -- Felipe Sateler <fsateler@debian.org>  Fri, 22 Nov 2019 21:32:27 -0300

=== debian/control ===
Source: docker-compose
Maintainer: Docker Compose Team <team+docker-compose@tracker.debian.org>
Uploaders: Jason Pleau <jason@jpleau.ca>,
 Felipe Sateler <fsateler@debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 python3 (>= 3.6),
 dh-python,
 python3-cached-property (>= 1.2.0),
 python3-setuptools (>= 0.6b3),
 python3-docker (>= 4.0.0),
 python3-dockerpty (>= 0.4.1),
 python3-docopt (>= 0.6.1),
 python3-yaml (>= 3.10),
 python3-requests (>= 2.20.0),
 python3-six (>= 1.7.3),
 python3-texttable (>= 0.9.0),
 python3-websocket (>= 0.32.0),
 python3-mock (>= 1.0.1),
 python3-nose,
 python3-flake8,
Standards-Version: 4.1.4
X-Python3-Version: >= 3.6
Homepage: https://docs.docker.com/compose/
Vcs-Git: https://salsa.debian.org/docker-compose-team/docker-compose
Vcs-Browser: https://salsa.debian.org/docker-compose-team/docker-compose

Package: docker-compose
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils
Recommends: docker.io (>= 1.9.0)
Description: Punctual, lightweight development environments using Docker
 docker-compose is a service management software built on top of docker. Define
 your services and their relationships in a simple YAML file, and let compose
 handle the rest.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=docker-compose
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 DESTDIR = $(CURDIR)/debian/docker-compose
 override_dh_auto_install:

## docker-compose 1.27.4

=== requirements.txt ===
backports.shutil_get_terminal_size==1.0.0
cached-property==1.5.1
certifi==2020.6.20
chardet==3.0.4
colorama==0.4.3; sys_platform == 'win32'
distro==1.5.0
docker==4.3.1
docker-pycreds==0.4.0
dockerpty==0.4.1
docopt==0.6.2
idna==2.10
ipaddress==1.0.23
jsonschema==3.2.0
paramiko==2.7.1
pypiwin32==219; sys_platform == 'win32' and python_version < '3.6'
pypiwin32==223; sys_platform == 'win32' and python_version >= '3.6'
PySocks==1.7.1
python-dotenv==0.14.0
PyYAML==5.3.1
requests==2.24.0
texttable==1.6.2
urllib3==1.25.10; python_version == '3.3'
websocket-client==0.57.0

=== debian/changelog ===
docker-compose (1.27.4-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Jan 2022 09:12:06 +0100

docker-compose (1.27.4-3) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Dec 2021 21:29:16 +0100

docker-compose (1.27.4-2) unstable; urgency=medium

  * Limit debian/watch to v1 docker-compose only (v2 is a completely
    different piece of software).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Dec 2021 23:46:33 +0100

docker-compose (1.27.4-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.1.
  * Make the synopsis read less like advertising.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 16 Aug 2021 20:42:18 +0100

=== debian/control ===
Source: docker-compose
Maintainer: Docker Compose Team <team+docker-compose@tracker.debian.org>
Uploaders:
 Jason Pleau <jason@jpleau.ca>,
 Felipe Sateler <fsateler@debian.org>,
 Andrej Shadura <andrewsh@debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3 (>= 3.6),
 dh-python,
 python3-cached-property (>= 1.2.0),
 python3-setuptools (>= 0.6b3),
 python3-distro (>= 1.5.0),
 python3-docker (>= 4.3.1),
 python3-dockerpty (>= 0.4.1),
 python3-docopt (>= 0.6.1),
 python3-dotenv (>= 0.13.0),
 python3-yaml (>= 3.10),
 python3-requests (>= 2.20.0),
 python3-texttable (>= 0.9.0),
 python3-websocket (>= 0.32.0),
 python3-mock (>= 1.0.1),
 python3-nose,
 python3-flake8,
Standards-Version: 4.6.0
X-Python3-Version: >= 3.6
Rules-Requires-Root: no
Homepage: https://docs.docker.com/compose/
Vcs-Git: https://salsa.debian.org/docker-compose-team/docker-compose.git
Vcs-Browser: https://salsa.debian.org/docker-compose-team/docker-compose

Package: docker-compose
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils
Recommends: docker.io (>= 1.9.0)
Description: define and run multi-container Docker applications with YAML
 docker-compose is a service management software built on top of docker. Define
 your services and their relationships in a simple YAML file, and let compose
 handle the rest.

## docker-compose 1.29.2

=== Makefile ===
TAG = "docker-compose:alpine-$(shell git rev-parse --short HEAD)"
GIT_VOLUME = "--volume=$(shell pwd)/.git:/code/.git"

DOCKERFILE ?="Dockerfile"
DOCKER_BUILD_TARGET ?="build"

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)
	BUILD_SCRIPT = linux
endif
ifeq ($(UNAME_S),Darwin)
	BUILD_SCRIPT = osx
endif

COMPOSE_SPEC_SCHEMA_PATH = "compose/config/compose_spec.json"
COMPOSE_SPEC_RAW_URL = "https://raw.githubusercontent.com/compose-spec/compose-spec/master/schema/compose-spec.json"

all: cli

cli: download-compose-spec ## Compile the cli
	./script/build/$(BUILD_SCRIPT)

download-compose-spec: ## Download the compose-spec schema from it's repo
	curl -so $(COMPOSE_SPEC_SCHEMA_PATH) $(COMPOSE_SPEC_RAW_URL)

cache-clear: ## Clear the builder cache
	@docker builder prune --force --filter type=exec.cachemount --filter=unused-for=24h

base-image: ## Builds base image
	docker build -f $(DOCKERFILE) -t $(TAG) --target $(DOCKER_BUILD_TARGET) .

lint: base-image ## Run linter
	docker run --rm \
		--tty \
		$(GIT_VOLUME) \
		$(TAG) \
		tox -e pre-commit

test-unit: base-image ## Run tests
	docker run --rm \
		--tty \
		$(GIT_VOLUME) \
		$(TAG) \
		pytest -v tests/unit/

test: ## Run all tests
	./script/test/default

pre-commit: lint test-unit cli

help: ## Show help
	@echo Please specify a build target. The choices are:
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

FORCE:

.PHONY: all cli download-compose-spec cache-clear base-image lint test-unit test pre-commit help

=== requirements.txt ===
backports.shutil_get_terminal_size==1.0.0
cached-property==1.5.1; python_version < '3.8'
certifi==2020.6.20
chardet==3.0.4
colorama==0.4.3; sys_platform == 'win32'
distro==1.5.0
docker==5.0.0
docker-pycreds==0.4.0
dockerpty==0.4.1
docopt==0.6.2
idna==2.10
ipaddress==1.0.23
jsonschema==3.2.0
paramiko==2.7.1
PySocks==1.7.1
python-dotenv==0.17.0
pywin32==227; sys_platform == 'win32'
PyYAML==5.4.1
requests==2.24.0
texttable==1.6.2
urllib3==1.25.10; python_version == '3.3'
websocket-client==0.57.0

=== debian/changelog ===
docker-compose (1.29.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump python3-docker dependency.
  * Use dh-sequence-python3.
  * Drop dependency on the ancient Python 3.6 version.
  * Install completions for fish.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 25 Jan 2022 10:08:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- python3 (>= 3.6),
- dh-python,
+ dh-sequence-python3,
+ python3-all,
  python3-cached-property (>= 1.2.0),
  python3-setuptools (>= 0.6b3),
  python3-distro (>= 1.5.0),
- python3-docker (>= 4.3.1),
+ python3-docker (>= 5),
  python3-dockerpty (>= 0.4.1),
  python3-docopt (>= 0.6.1),
  python3-dotenv (>= 0.13.0),
@@ -25,7 +25,6 @@
  python3-nose,
  python3-flake8,
 Standards-Version: 4.6.0
-X-Python3-Version: >= 3.6
 Rules-Requires-Root: no
 Homepage: https://docs.docker.com/compose/
 Vcs-Git: https://salsa.debian.org/docker-compose-team/docker-compose.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docker-compose
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# tests disabled because they require networking

test:
	which pytest || (echo "pytest not found. install python-pytest" ; exit 1)
	pytest tests

=== debian/watch ===
--- 
+++ 
@@ -7,5 +7,5 @@
 version=3
 
 opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/docker-compose-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/" \
-  https://github.com/docker/compose/tags .*/v?(\d\S*)\.tar\.gz
+  https://github.com/docker/compose/tags .*/v?(1\S*)\.tar\.gz

## docker-compose 2.26.1

=== Makefile ===
#   Copyright 2020 Docker Compose CLI authors

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

PKG := github.com/docker/compose/v2
export COMPOSE_MENU = FALSE
VERSION ?= $(shell git describe --match 'v[0-9]*' --dirty='.m' --always --tags)

GO_LDFLAGS ?= -w -X ${PKG}/internal.Version=${VERSION}
GO_BUILDTAGS ?= e2e
DRIVE_PREFIX?=
ifeq ($(OS),Windows_NT)
    DETECTED_OS = Windows
    DRIVE_PREFIX=C:
else
    DETECTED_OS = $(shell uname -s)
endif

ifeq ($(DETECTED_OS),Windows)
	BINARY_EXT=.exe
endif

BUILD_FLAGS?=
TEST_FLAGS?=
E2E_TEST?=
ifneq ($(E2E_TEST),)
	TEST_FLAGS:=$(TEST_FLAGS) -run '$(E2E_TEST)'
endif

EXCLUDE_E2E_TESTS?=
ifneq ($(EXCLUDE_E2E_TESTS),)
	TEST_FLAGS:=$(TEST_FLAGS) -skip '$(EXCLUDE_E2E_TESTS)'
endif

BUILDX_CMD ?= docker buildx

# DESTDIR overrides the output path for binaries and other artifacts
# this is used by docker/docker-ce-packaging for the apt/rpm builds,
# so it's important that the resulting binary ends up EXACTLY at the
# path $DESTDIR/docker-compose when specified.
#
# See https://github.com/docker/docker-ce-packaging/blob/e43fbd37e48fde49d907b9195f23b13537521b94/rpm/SPECS/docker-compose-plugin.spec#L47
#
# By default, all artifacts go to subdirectories under ./bin/ in the
# repo root, e.g. ./bin/build, ./bin/coverage, ./bin/release.
DESTDIR ?=

all: build

.PHONY: build ## Build the compose cli-plugin
build:
	GO111MODULE=on go build $(BUILD_FLAGS) -trimpath -tags "$(GO_BUILDTAGS)" -ldflags "$(GO_LDFLAGS)" -o "$(or $(DESTDIR),./bin/build)/docker-compose$(BINARY_EXT)" ./cmd

.PHONY: binary
binary:
	$(BUILDX_CMD) bake binary

.PHONY: binary-with-coverage
binary-with-coverage:
	$(BUILDX_CMD) bake binary-with-coverage

.PHONY: install
install: binary
	mkdir -p ~/.docker/cli-plugins
	install $(or $(DESTDIR),./bin/build)/docker-compose ~/.docker/cli-plugins/docker-compose

.PHONY: e2e-compose
e2e-compose: ## Run end to end local tests in plugin mode. Set E2E_TEST=TestName to run a single test
	go run gotest.tools/gotestsum@latest --format testname --junitfile "/tmp/report/report.xml" -- -v $(TEST_FLAGS) -count=1 ./pkg/e2e

.PHONY: e2e-compose-standalone
e2e-compose-standalone: ## Run End to end local tests in standalone mode. Set E2E_TEST=TestName to run a single test
	go run gotest.tools/gotestsum@latest --format testname --junitfile "/tmp/report/report.xml" -- $(TEST_FLAGS) -v -count=1 -parallel=1 --tags=standalone ./pkg/e2e

.PHONY: build-and-e2e-compose
build-and-e2e-compose: build e2e-compose ## Compile the compose cli-plugin and run end to end local tests in plugin mode. Set E2E_TEST=TestName to run a single test

.PHONY: build-and-e2e-compose-standalone
build-and-e2e-compose-standalone: build e2e-compose-standalone ## Compile the compose cli-plugin and run End to end local tests in standalone mode. Set E2E_TEST=TestName to run a single test

.PHONY: mocks
mocks:
	mockgen --version >/dev/null 2>&1 || go install go.uber.org/mock/mockgen@v0.3.0
	mockgen -destination pkg/mocks/mock_docker_cli.go -package mocks github.com/docker/cli/cli/command Cli
	mockgen -destination pkg/mocks/mock_docker_api.go -package mocks github.com/docker/docker/client APIClient
	mockgen -destination pkg/mocks/mock_docker_compose_api.go -package mocks -source=./pkg/api/api.go Service

.PHONY: e2e
e2e: e2e-compose e2e-compose-standalone ## Run end to end local tests in both modes. Set E2E_TEST=TestName to run a single test

.PHONY: build-and-e2e
build-and-e2e: build e2e-compose e2e-compose-standalone ## Compile the compose cli-plugin and run end to end local tests in both modes. Set E2E_TEST=TestName to run a single test

.PHONY: cross
cross: ## Compile the CLI for linux, darwin and windows
	$(BUILDX_CMD) bake binary-cross

.PHONY: test
test: ## Run unit tests
	$(BUILDX_CMD) bake test

.PHONY: cache-clear
cache-clear: ## Clear the builder cache
	$(BUILDX_CMD) prune --force --filter type=exec.cachemount --filter=unused-for=24h

.PHONY: lint
lint: ## run linter(s)
	$(BUILDX_CMD) bake lint

.PHONY: docs
docs: ## generate documentation
	$(eval $@_TMP_OUT := $(shell mktemp -d -t compose-output.XXXXXXXXXX))
	$(BUILDX_CMD) bake --set "*.output=type=local,dest=$($@_TMP_OUT)" docs-update
	rm -rf ./docs/internal
	cp -R "$(DRIVE_PREFIX)$($@_TMP_OUT)"/out/* ./docs/
	rm -rf "$(DRIVE_PREFIX)$($@_TMP_OUT)"/*

.PHONY: validate-docs
validate-docs: ## validate the doc does not change
	$(BUILDX_CMD) bake docs-validate

.PHONY: check-dependencies
check-dependencies: ## check dependency updates
	go list -u -m -f '{{if not .Indirect}}{{if .Update}}{{.}}{{end}}{{end}}' all

.PHONY: validate-headers
validate-headers: ## Check license header for all files
	$(BUILDX_CMD) bake license-validate

.PHONY: go-mod-tidy
go-mod-tidy: ## Run go mod tidy in a container and output resulting go.mod and go.sum
	$(BUILDX_CMD) bake vendor-update

.PHONY: validate-go-mod
validate-go-mod: ## Validate go.mod and go.sum are up-to-date
	$(BUILDX_CMD) bake vendor-validate

validate: validate-go-mod validate-headers validate-docs  ## Validate sources

pre-commit: validate check-dependencies lint build test e2e-compose

help: ## Show help
	@echo Please specify a build target. The choices are:
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
docker-compose (2.26.1-4) unstable; urgency=medium

  * Add back docker-compose in /usr/bin as a symlink
  * Fix the distribution name in NEWS

 -- Nicolas Peugnet <nicolas@club1.fr>  Fri, 14 Mar 2025 15:38:26 +0100

docker-compose (2.26.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 26 Feb 2025 07:21:23 -0500

docker-compose (2.26.1-2) experimental; urgency=medium

  [ Nicolas Peugnet ]
  * Fix compose-spec v2.1.3 patch to avoid nil pointer dereference

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 24 Feb 2025 15:03:26 -0500

docker-compose (2.26.1-1) experimental; urgency=medium

  [ Nicolas Peugnet ]
  * Upgrade to docker-compose v2 (Closes: #1040417, #1098732)

  [ Reinhard Tartler ]
  * Add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Feb 2025 09:56:17 -0500

docker-compose (1.29.2-8) experimental; urgency=medium

  * Merge changes from NMUs in unstable

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Feb 2025 16:44:55 +0100

docker-compose (1.29.2-7) experimental; urgency=medium

  * Drop docker-compose package. Since docker-compose will soon be
    replaced by the Go reimplementation in docker-compose 2.x,
    this package will only ship the Python library from now on.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Feb 2025 15:58:16 +0100

docker-compose (1.29.2-6.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Alexandre Detiste ]
  * Replace pipes with shlex for Python 3.13 compatibility (closes:
    #1084703).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jan 2025 22:10:18 +0000

docker-compose (1.29.2-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/dockerpy-v7-compatibility.patch: add patch from originally from
    Philip Chung, to fix a compatibility issue with python3-docker >= 7.x.
    (Closes: #1073205).
  * d/patches/remove_distutils.patch: update patch with changes in test/ to
    match the changes made in the code.
  * d/patches/fix-test-failure-py-path.patch: add patch to fix a test failure
    due to pylib incompatibility.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 09 Aug 2024 11:28:27 +0300

docker-compose (1.29.2-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/remove_distutils.patch: Update patch to fix a bug in the
    use of packaging.version.Version (Closes: #1076201).

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 14 Jul 2024 18:21:36 -0300

docker-compose (1.29.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/remove_distutils.patch: Add patch to remove the use of
    python3-distutils.
  * d/control: Remove python3-distutils from binary packages Dependency.
    Replaced by python3-packaging (Closes: #1065848).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 08 Jul 2024 12:49:42 -0300

docker-compose (1.29.2-6) unstable; urgency=medium

  * Source-only rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 11 Aug 2023 17:05:52 +0200

docker-compose (1.29.2-5) unstable; urgency=medium

  * No change rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 08 Aug 2023 19:21:28 +0200

docker-compose (1.29.2-4) unstable; urgency=medium

  * Move the command-line tool into a separate package.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 21 Feb 2023 16:36:44 +0100

docker-compose (1.29.2-3) unstable; urgency=medium

  * Remove Felipe Satelier for uploaders.
    Thank you for your work, Felipe.
  * Provide python3-compose.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 16 Feb 2023 18:14:55 +0100

docker-compose (1.29.2-2) unstable; urgency=medium

  * Remove dependency on nose as tests are disabled anyway.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 21 Aug 2022 22:38:50 +0200

=== debian/control ===
Source: docker-compose
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nicolas Peugnet <nicolas@club1.fr>, Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               golang-any,
               golang-github-acarl005-stripansi-dev,
               golang-github-alecaivazis-survey-dev,
               golang-github-buger-goterm-dev,
               golang-github-compose-spec-compose-go-dev,
               golang-github-containerd-console-dev,
               golang-github-containerd-containerd-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-distribution-reference-dev,
               golang-github-docker-buildx-dev,
               golang-github-docker-cli-docs-tool-dev,
               golang-github-docker-docker-dev,
               golang-github-docker-go-connections-dev,
               golang-github-docker-go-units-dev,
               golang-github-docker-notary-dev,
               golang-github-eiannone-keyboard-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-google-go-cmp-dev,
               golang-github-gotestyourself-gotest.tools-dev <!nocheck>,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-jonboulle-clockwork-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-moby-patternmatcher-dev,
               golang-github-moby-term-dev,
               golang-github-morikuni-aec-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-otiai10-copy-dev,
               golang-github-r3labs-sse-dev,
               golang-github-skratchdot-open-golang-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-go.uber-mock-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-sync-dev,
               golang-google-grpc-dev,
               golang-gopkg-yaml.v3-dev,
               golang-logrus-dev,
               golang-opentelemetry-contrib-dev,
               golang-opentelemetry-otel-dev,
               golang-uber-goleak-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/docker-compose
Vcs-Git: https://salsa.debian.org/go-team/packages/docker-compose.git
Homepage: https://github.com/docker/compose
XS-Go-Import-Path: github.com/docker/compose

Package: docker-compose
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: docker-cli,
Static-Built-Using: ${misc:Static-Built-Using}
Description: Define and run multi-container applications with Docker (program)
 Docker Compose is a tool for running multi-container applications on
 Docker defined using the Compose file format (https://compose-spec.io). A
 Compose file is used to define how one or more containers that make up
 your application are configured. Once you have a Compose file, you can
 create and start your application with a single command:
 .
  docker compose up

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/docker/compose/tags .*/v?(\d\S*)\.tar\.gz debian

## docker-compose 2.32.4

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 #   limitations under the License.
 
 PKG := github.com/docker/compose/v2
-export COMPOSE_MENU = FALSE
 VERSION ?= $(shell git describe --match 'v[0-9]*' --dirty='.m' --always --tags)
 
 GO_LDFLAGS ?= -w -X ${PKG}/internal.Version=${VERSION}
@@ -90,7 +89,7 @@
 
 .PHONY: mocks
 mocks:
-	mockgen --version >/dev/null 2>&1 || go install go.uber.org/mock/mockgen@v0.3.0
+	mockgen --version >/dev/null 2>&1 || go install go.uber.org/mock/mockgen@v0.4.0
 	mockgen -destination pkg/mocks/mock_docker_cli.go -package mocks github.com/docker/cli/cli/command Cli
 	mockgen -destination pkg/mocks/mock_docker_api.go -package mocks github.com/docker/docker/client APIClient
 	mockgen -destination pkg/mocks/mock_docker_compose_api.go -package mocks -source=./pkg/api/api.go Service
@@ -116,6 +115,11 @@
 .PHONY: lint
 lint: ## run linter(s)
 	$(BUILDX_CMD) bake lint
+
+.PHONY: fmt
+fmt:
+	gofumpt --version >/dev/null 2>&1 || go install mvdan.cc/gofumpt@latest
+	gofumpt -w .
 
 .PHONY: docs
 docs: ## generate documentation

=== debian/changelog ===
docker-compose (2.32.4-3) unstable; urgency=medium

  * Upload to unstable
  * Tighten dependency on docker-docker-dev, avoid notary
  * Drop redundant "Rules-Requires-Root"
  * Drop unneeded lintian-overrides

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 26 Oct 2025 06:22:00 -0400

docker-compose (2.32.4-2) experimental; urgency=medium

  * Fix debian/watch by only selecting semver looking tags
  * Add a basic NEWS entry about the few important changes

 -- Nicolas Peugnet <nicolas@club1.fr>  Tue, 21 Oct 2025 11:34:44 +0200

docker-compose (2.32.4-1) experimental; urgency=medium

  * New upstream version 2.32.4
  * make gbp import-orig automatically link to upstream's tags
  * Update debian/watch to version 5
  * Rediff patches after new version import
  * Update dependencies list and constraints
  * Bump standards version to 4.7.2, no changes needed

 -- Nicolas Peugnet <nicolas@club1.fr>  Sat, 18 Oct 2025 14:24:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Nicolas Peugnet <nicolas@club1.fr>, Reinhard Tartler <siretart@tauware.de>
-Rules-Requires-Root: no
+Uploaders: Nicolas Peugnet <nicolas@club1.fr>,
+           Reinhard Tartler <siretart@tauware.de>,
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-golang,
@@ -12,16 +12,15 @@
                golang-github-alecaivazis-survey-dev,
                golang-github-buger-goterm-dev,
                golang-github-compose-spec-compose-go-dev,
-               golang-github-containerd-console-dev,
                golang-github-containerd-containerd-dev,
+               golang-github-containerd-platforms-dev,
                golang-github-davecgh-go-spew-dev,
                golang-github-distribution-reference-dev,
-               golang-github-docker-buildx-dev,
+               golang-github-docker-buildx-dev (>= 0.19.3),
                golang-github-docker-cli-docs-tool-dev,
-               golang-github-docker-docker-dev,
+               golang-github-docker-docker-dev (>= 27.5.1+dfsg3-4),
                golang-github-docker-go-connections-dev,
                golang-github-docker-go-units-dev,
-               golang-github-docker-notary-dev,
                golang-github-eiannone-keyboard-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-google-go-cmp-dev,
@@ -30,6 +29,7 @@
                golang-github-hashicorp-go-version-dev,
                golang-github-jonboulle-clockwork-dev,
                golang-github-mattn-go-shellwords-dev,
+               golang-github-mitchellh-go-ps-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-moby-patternmatcher-dev,
                golang-github-moby-term-dev,
@@ -41,18 +41,20 @@
                golang-github-skratchdot-open-golang-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
-               golang-github-stretchr-testify-dev,
+               golang-github-stretchr-testify-dev (>= 1.10.0),
                golang-go.uber-mock-dev,
                golang-golang-x-exp-dev,
                golang-golang-x-sync-dev,
+               golang-golang-x-sys-dev,
                golang-google-grpc-dev,
                golang-gopkg-yaml.v3-dev,
                golang-logrus-dev,
                golang-opentelemetry-contrib-dev,
                golang-opentelemetry-otel-dev,
+               golang-tags.cncf-container-device-interface-dev,
                golang-uber-goleak-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/docker-compose
 Vcs-Git: https://salsa.debian.org/go-team/packages/docker-compose.git
 Homepage: https://github.com/docker/compose

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOPKG := github.com/docker/compose
LDFLAGS := -X $(DH_GOPKG)/internal.Version=$(DEB_VERSION)

# Exclude this packages from tests, because they are not compatible with
# docker/cli > v26.0
export DH_GOLANG_EXCLUDES := cmd/compose pkg/compose pkg/e2e

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	dh_auto_build --builddirectory=_build --buildsystem=golang -- -ldflags '$(LDFLAGS)'
	# Call the docs generator (it is called main because of the package'snnmae)
	_build/bin/main

# Skip auto install, use dh-exec to install the binary in a specific location
override_dh_auto_install:

=== debian/watch ===
Version: 5
Template: Github
Owner: docker
Project: compose
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@SEMANTIC_VERSION@
Uversion-Mangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/
